#1918 closed defect (fixed)

sparc64: task context initialization

Reported by: Gedare Bloom Owned by: Joel Sherrill
Priority: normal Milestone: 4.11
Component: score Version: 4.11
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description

sparc64-rtems-gcc uses the global g4 register as a segment register. We need to maintain the segment register as pointing to 0. When tasks are allocated with dirty memory the initial context may have some non-zero values in the g4 register. The attached patch makes the appropriate adjustment during context initialization. This problem manifested as a bug in samples/unlimited due to tasks being deleted and created.

Attachments (2)

sparc64-contextinit.diff (654 bytes) - added by Gedare Bloom on Sep 20, 2011 at 3:58:33 PM.
initialize context with cleared g4 register
sparc64-contextinit.ChangeLog (104 bytes) - added by Gedare Bloom on Sep 20, 2011 at 3:59:08 PM.
changelog

Download all attachments as: .zip

Change History (4)

Changed on Sep 20, 2011 at 3:58:33 PM by Gedare Bloom

Attachment: sparc64-contextinit.diff added

initialize context with cleared g4 register

Changed on Sep 20, 2011 at 3:59:08 PM by Gedare Bloom

changelog

comment:1 Changed on Oct 6, 2011 at 3:43:05 PM by Joel Sherrill

Component: bspscpukit
Resolution: fixed
Status: newclosed

Patch applied. Closing.

comment:2 Changed on Nov 24, 2014 at 6:58:28 PM by Gedare Bloom

Version: HEAD4.11

Replace Version=HEAD with Version=4.11 for the tickets with Milestone >= 4.11

Note: See TracTickets for help on using tickets.